Qt 5.6 | Qt 3D | C++ Classes | QActionInput

Qt 5.6.3 Reference Documentation

# QActionInput Class

(Qt3DInput::QActionInput)

Header: | #include <QActionInput>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | ActionInput
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- keys : QVariantList
- sourceDevice : Qt3DInput::QAbstractPhysicalDevice *

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QActionInput(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QActionInput()
QVariantList | keys() const
QAbstractPhysicalDevice * | sourceDevice() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setKeys(const QVariantList &keys)
void | setSourceDevice(QAbstractPhysicalDevice *sourceDevice)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | keysChanged(const QVariantList &keys)
void | sourceDeviceChanged(QAbstractPhysicalDevice *sourceDevice)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### keys : QVariantList

Access functions:

QVariantList | keys() const
void | setKeys(const QVariantList &keys)

Notifier signal:

void | keysChanged(const QVariantList &keys)

### sourceDevice : Qt3DInput::QAbstractPhysicalDevice *

Access functions:

QAbstractPhysicalDevice * | sourceDevice() const
void | setSourceDevice(QAbstractPhysicalDevice *sourceDevice)

Notifier signal:

void | sourceDeviceChanged(QAbstractPhysicalDevice *sourceDevice)

## Member Function Documentation

### QActionInput::QActionInput(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QActionInput.

### QActionInput::~QActionInput()

Destroys the instance of QActionInput.

### `[protected]` void QActionInput::copy(const Qt3DCore::QNode *ref)